org.icefaces.util

## Class EnvUtils

- java.lang.Object
- - org.icefaces.util.EnvUtils

-     public class EnvUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACE_FILE_ENTRY_FILE_COUNT_MAX`
    `static java.lang.String` | `ACE_FILE_ENTRY_REQUIRE_JAVASCRIPT`
    `static java.lang.String` | `ARIA_ENABLED`
    `static java.lang.String` | `BLOCK_UI_ON_SUBMIT`
    `static java.lang.String` | `BODY_DETECTED`
    `static java.lang.String` | `CLIENT_SIDE_ELEMENT_UPDATE_DETERMINATION`
    `static java.lang.String` | `COALESCE_RESOURCES`
    `static java.lang.String` | `COMPRESS_DOM`
    `static java.lang.String` | `COMPRESS_IDS`
    `static java.lang.String` | `COMPRESS_RESOURCES`
    `static java.lang.String` | `CONNECTION_LOST_REDIRECT_URI`
    `static java.lang.String` | `DELTA_SUBMT`
    `static java.lang.String` | `DIFF_CONFIG`
    `static java.lang.String` | `DISABLE_DEFAULT_ERROR_POPUPS`
    `static java.lang.String` | `FAST_BUSY_INDICATOR`
    `static java.lang.String` | `FETCH_PENDING_NOTIFICATIONS_ONLOAD`
    `static java.lang.String` | `FOCUS_MANAGED`
    `static java.lang.String` | `GENERATE_HEAD_UPDATE`
    `static java.lang.String` | `HEAD_DETECTED`
    `static java.lang.String` | `HTTP_POST_VALIDATION_ENABLED`
    `static java.lang.String` | `ICEFACES_AUTO`
    `static java.lang.String` | `ICEFACES_AUTOID`
    `static java.lang.String` | `ICEFACES_ENV_CONFIG`
    `static java.lang.String` | `ICEFACES_RENDER`
    `static java.lang.String` | `INCLUDE_SCROLL_OFFSETS`
    `static java.util.HashSet<java.lang.String>` | `JAVA_RESERVED_WORDS` A set of Strings representing all of the reserved words in Java
    `static java.lang.String` | `LAZY_PUSH`
    `static java.lang.String` | `LAZY_WINDOW_SCOPE`
    `static java.lang.String` | `LOCAL_STORAGE_LOG`
    `static java.lang.String` | `MANDATORY_RESOURCE_CONFIG`
    `static java.lang.String` | `MAX_LOCAL_STORAGE_LOG_SIZE`
    `static java.lang.String` | `MESSAGE_PERSISTENCE`
    `static java.lang.String` | `PUBLIC_CONTEXT_PATH`
    `static java.lang.String` | `RELOAD_ON_UPDATE_FAILURE`
    `static java.lang.String` | `REPLAY_NAVIGATION_ON_RELOAD`
    `static java.lang.String` | `RESOURCE_VERSION`
    `static java.lang.String` | `SESSION_EXPIRED_REDIRECT_URI`
    `static java.lang.String` | `SESSION_TIMEOUT_REDIRECT_URI`
    `static java.lang.String` | `STANDARD_FORM_SERIALIZATION`
    `static java.lang.String` | `STRICT_SESSION_TIMEOUT`
    `static java.lang.String` | `SUBTREE_DIFF`
    `static java.lang.String` | `UNIQUE_RESOURCE_URLS`
    `static java.lang.String` | `UPDATE_NETWORK_ERROR_RETRY_TIMEOUTS`
    `static java.lang.String` | `VERSIONABLE_TYPES`
    `static java.lang.String` | `WARN_BEFORE_SESSION_EXPIRY_INTERVAL`
    `static java.lang.String` | `WINDOW_SCOPE_CREATION_DELAY`
    `static java.lang.String` | `WINDOW_SCOPE_EXPIRATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `calculateCharacterEncoding(javax.faces.context.FacesContext context)`
    `static boolean` | `containsBeans(java.util.Map<java.lang.String,java.lang.Object> scopeMap)`
    `static boolean` | `containsDisposedBeans(java.util.Map<java.lang.String,java.lang.Object> scopeMap)`
    `static void` | `createSessionOnPageLoad(javax.faces.context.FacesContext context)`
    `static boolean` | `disableDefaultErrorPopups(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `generateHeadUpdate(javax.faces.context.FacesContext context)`
    `static java.lang.String` | `getConnectionLostRedirectURI(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.connectionLostRedirectURI.
    `static java.lang.String` | `getDiffConfig(javax.faces.context.FacesContext facesContext)` Returns the value for org.icefaces.diffConfig.
    `static boolean` | `getFetchPendingNotificationsOnLoad(javax.faces.context.FacesContext context)` Returns the value of the context parameter org.icefaces.fetchPendingNotificationsOnLoad.
    `static int` | `getFileEntryFileCountMax(javax.faces.context.FacesContext facesContext)`
    `static java.lang.String` | `getMandatoryResourceConfig(javax.faces.context.FacesContext facesContext)`
    `static javax.servlet.http.HttpServletRequest` | `getOriginalServletRequest(javax.faces.context.FacesContext context)`
    `static java.lang.String[]` | `getPathTemplate()`
    `static java.lang.String` | `getPublicContextPath(javax.faces.context.FacesContext facesContext)`
    `static java.lang.String` | `getResourceVersion(javax.faces.context.FacesContext context)`
    `static javax.servlet.http.HttpSession` | `getSafeApplicationScopeSession(javax.faces.context.FacesContext fc)`
    `static javax.servlet.http.HttpSession` | `getSafeApplicationScopeSession(javax.faces.context.FacesContext fc, boolean createSession)`
    `static javax.servlet.ServletContext` | `getSafeContext(javax.faces.context.FacesContext fc)`
    `static javax.servlet.http.HttpSession` | `getSafePortletScopeSession(javax.faces.context.FacesContext fc)`
    `static javax.servlet.http.HttpSession` | `getSafePortletScopeSession(javax.faces.context.FacesContext fc, boolean createSession)`
    `static javax.servlet.http.HttpServletRequest` | `getSafeRequest(javax.faces.context.FacesContext fc)`
    `static javax.servlet.http.HttpServletResponse` | `getSafeResponse(javax.faces.context.FacesContext fc)`
    `static javax.servlet.http.HttpSession` | `getSafeSession(javax.faces.context.FacesContext fc)`
    `static javax.servlet.http.HttpSession` | `getSafeSession(javax.faces.context.FacesContext fc, boolean createSession)`
    `static java.lang.String` | `getSessionExpiredRedirectURI(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.sessionExpiredRedirectURI.
    `static java.lang.String` | `getSessionTimeoutRedirectURI(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.sessionTimeoutRedirectURI.
    `static java.lang.String` | `getStateMarker()`
    `static java.lang.String` | `getUpdateNetworkErrorRetryTimeouts(javax.faces.context.FacesContext context)`
    `static java.lang.String` | `getUserAgent(javax.faces.context.FacesContext fc)`
    `static java.lang.String` | `getVersionableTypes(javax.faces.context.FacesContext context)`
    `static long` | `getWarnBeforeExpiryInterval(javax.faces.context.FacesContext context)`
    `static long` | `getWindowScopeCreationDelay(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.windowScopeCreationDelay.
    `static long` | `getWindowScopeExpiration(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.windowScopeExpiration.
    `static boolean` | `hasHeadAndBodyComponents(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `instanceofPortletRequest(java.lang.Object request)`
    `static boolean` | `instanceofPortletResourceResponse(java.lang.Object response)`
    `static boolean` | `instanceofPortletResponse(java.lang.Object response)`
    `static boolean` | `instanceofPortletSession(java.lang.Object session)`
    `static boolean` | `isAriaEnabled(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.aria.enabled.
    `static boolean` | `isAutoId(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.autoid.
    `static boolean` | `isAutoRender(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.render.auto.
    `static boolean` | `isAuxUploadBrowser(javax.faces.context.FacesContext facesContext)` Returns true if the browser is enhanced via auxiliary upload.
    `static boolean` | `isBlockUIOnSubmit(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.blockUIOnSubmit.
    `static boolean` | `isClientSideElementUpdateDetermination(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isCoallesceResources(javax.faces.context.FacesContext context)`
    `static boolean` | `isCompressDOM(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.compressDOM.
    `static boolean` | `isCompressIDs(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.compressIDs.
    `static boolean` | `isCompressResources(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.compressResources.
    `static boolean` | `isDeltaSubmit(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.deltaSubmit.
    `static boolean` | `isEnhancedBrowser(javax.faces.context.FacesContext facesContext)` Returns true if the browser is enhanced with additional features.
    `static boolean` | `isFastBusyIndicator(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isFileEntryRequireJavascript(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isFocusManaged(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.focusManaged.
    `static boolean` | `isICEfacesView(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isICEpushPresent()`
    `static boolean` | `isIncludeScrollOffsets(javax.faces.context.FacesContext context)`
    `static boolean` | `isJSF22OrGreater()` Determine whether the current JSF implementation is version 2.2
    `static boolean` | `isLazyPush(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.lazyPush.
    `static boolean` | `isLazyWindowScope(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isLiferay()` Returns true if Liferay classes are detected via reflection.
    `static boolean` | `isMessagePersistence(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isMojarra()`
    `static boolean` | `isMyFaces()`
    `static boolean` | `isMyfacesRefreshTransientforPSS()`
    `static boolean` | `isPartialStateSaving(javax.faces.context.FacesContext facesContext)` Returns true if JSF Partial State Saving is active.
    `static boolean` | `isPlutoPortal()` Returns true if Pluto Portal class is detected via reflection.
    `static boolean` | `isPortal()`
    `static boolean` | `isPostValidationEnabled(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isPushRequest(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isReplayNavigationOnReload(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isSecure(javax.faces.context.FacesContext fc)`
    `static boolean` | `isSessionInvalid(javax.faces.context.FacesContext context)`
    `static boolean` | `isStandardFormSerialization(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.standardFormSerialization.
    `static boolean` | `isStockAttributeTracking()`
    `static boolean` | `isStrictSessionTimeout(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.strictSessionTimeout.
    `static boolean` | `isSubtreeDiff(javax.faces.context.FacesContext facesContext)` Returns the value of the context parameter org.icefaces.subtreeDiff.
    `static boolean` | `isUniqueResourceURLs(javax.faces.context.FacesContext facesContext)`
    `static boolean` | `isValidJavaIdentifier(java.lang.String identifier)` When using reflection to programmatically create a class, e.g.
    `static boolean` | `isWebSpherePortal()` Returns true if WebSphere Portal class is detected via reflection.
    `static boolean` | `needViewStateHack()`
    `static boolean` | `reloadOnUpdateFailure(javax.faces.context.FacesContext context)`
    `static void` | `setBlockUIOnSubmit(javax.faces.context.FacesContext facesContext, boolean value)` Programmatically override the value of blockUIOnSubmit.
    `static void` | `setDisableDefaultErrorPopups(javax.faces.context.FacesContext facesContext, boolean value)` Programmatically override the value of disableDefaultErrorPopups.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICEFACES_ENV_CONFIG

          public static java.lang.String ICEFACES_ENV_CONFIG

    - #### ICEFACES_AUTO

          public static java.lang.String ICEFACES_AUTO

    - #### ICEFACES_AUTOID

          public static java.lang.String ICEFACES_AUTOID

    - #### COMPRESS_DOM

          public static java.lang.String COMPRESS_DOM

    - #### COMPRESS_RESOURCES

          public static java.lang.String COMPRESS_RESOURCES

    - #### DELTA_SUBMT

          public static java.lang.String DELTA_SUBMT

    - #### FOCUS_MANAGED

          public static java.lang.String FOCUS_MANAGED

    - #### DIFF_CONFIG

          public static java.lang.String DIFF_CONFIG

    - #### LAZY_PUSH

          public static java.lang.String LAZY_PUSH

    - #### STANDARD_FORM_SERIALIZATION

          public static java.lang.String STANDARD_FORM_SERIALIZATION

    - #### STRICT_SESSION_TIMEOUT

          public static java.lang.String STRICT_SESSION_TIMEOUT

    - #### SUBTREE_DIFF

          public static java.lang.String SUBTREE_DIFF

    - #### WINDOW_SCOPE_EXPIRATION

          public static java.lang.String WINDOW_SCOPE_EXPIRATION

    - #### WINDOW_SCOPE_CREATION_DELAY

          public static java.lang.String WINDOW_SCOPE_CREATION_DELAY

    - #### MANDATORY_RESOURCE_CONFIG

          public static java.lang.String MANDATORY_RESOURCE_CONFIG

    - #### UNIQUE_RESOURCE_URLS

          public static java.lang.String UNIQUE_RESOURCE_URLS

    - #### LAZY_WINDOW_SCOPE

          public static java.lang.String LAZY_WINDOW_SCOPE

    - #### DISABLE_DEFAULT_ERROR_POPUPS

          public static java.lang.String DISABLE_DEFAULT_ERROR_POPUPS

    - #### FAST_BUSY_INDICATOR

          public static java.lang.String FAST_BUSY_INDICATOR

    - #### REPLAY_NAVIGATION_ON_RELOAD

          public static java.lang.String REPLAY_NAVIGATION_ON_RELOAD

    - #### GENERATE_HEAD_UPDATE

          public static java.lang.String GENERATE_HEAD_UPDATE

    - #### INCLUDE_SCROLL_OFFSETS

          public static java.lang.String INCLUDE_SCROLL_OFFSETS

    - #### RELOAD_ON_UPDATE_FAILURE

          public static java.lang.String RELOAD_ON_UPDATE_FAILURE

    - #### RESOURCE_VERSION

          public static java.lang.String RESOURCE_VERSION

    - #### VERSIONABLE_TYPES

          public static java.lang.String VERSIONABLE_TYPES

    - #### COALESCE_RESOURCES

          public static java.lang.String COALESCE_RESOURCES

    - #### WARN_BEFORE_SESSION_EXPIRY_INTERVAL

          public static java.lang.String WARN_BEFORE_SESSION_EXPIRY_INTERVAL

    - #### CLIENT_SIDE_ELEMENT_UPDATE_DETERMINATION

          public static java.lang.String CLIENT_SIDE_ELEMENT_UPDATE_DETERMINATION

    - #### ACE_FILE_ENTRY_REQUIRE_JAVASCRIPT

          public static java.lang.String ACE_FILE_ENTRY_REQUIRE_JAVASCRIPT

    - #### ACE_FILE_ENTRY_FILE_COUNT_MAX

          public static java.lang.String ACE_FILE_ENTRY_FILE_COUNT_MAX

    - #### PUBLIC_CONTEXT_PATH

          public static java.lang.String PUBLIC_CONTEXT_PATH

    - #### LOCAL_STORAGE_LOG

          public static java.lang.String LOCAL_STORAGE_LOG

    - #### MAX_LOCAL_STORAGE_LOG_SIZE

          public static java.lang.String MAX_LOCAL_STORAGE_LOG_SIZE

    - #### UPDATE_NETWORK_ERROR_RETRY_TIMEOUTS

          public static java.lang.String UPDATE_NETWORK_ERROR_RETRY_TIMEOUTS

    - #### FETCH_PENDING_NOTIFICATIONS_ONLOAD

          public static java.lang.String FETCH_PENDING_NOTIFICATIONS_ONLOAD

    - #### HTTP_POST_VALIDATION_ENABLED

          public static java.lang.String HTTP_POST_VALIDATION_ENABLED

    - #### CONNECTION_LOST_REDIRECT_URI

          public static java.lang.String CONNECTION_LOST_REDIRECT_URI

    - #### SESSION_EXPIRED_REDIRECT_URI

          public static java.lang.String SESSION_EXPIRED_REDIRECT_URI

    - #### SESSION_TIMEOUT_REDIRECT_URI

          public static java.lang.String SESSION_TIMEOUT_REDIRECT_URI

    - #### ICEFACES_RENDER

          public static java.lang.String ICEFACES_RENDER

    - #### ARIA_ENABLED

          public static java.lang.String ARIA_ENABLED

    - #### BLOCK_UI_ON_SUBMIT

          public static java.lang.String BLOCK_UI_ON_SUBMIT

    - #### MESSAGE_PERSISTENCE

          public static java.lang.String MESSAGE_PERSISTENCE

    - #### COMPRESS_IDS

          public static java.lang.String COMPRESS_IDS

    - #### HEAD_DETECTED

          public static final java.lang.String HEAD_DETECTED

      See Also:
        Constant Field Values

    - #### BODY_DETECTED

          public static final java.lang.String BODY_DETECTED

      See Also:
        Constant Field Values

    - #### JAVA_RESERVED_WORDS

          public static final java.util.HashSet<java.lang.String> JAVA_RESERVED_WORDS

      A set of Strings representing all of the reserved words in Java

  - ### Constructor Detail

    - #### EnvUtils

          public EnvUtils()

  - ### Method Detail

    - #### isAriaEnabled

          public static boolean isAriaEnabled(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.aria.enabled. The default value is true and indicates that views are ARIA (Accessible Rich Internet Applications) enabled. This context parameter is application-wide and works together with the 'ariaEnabled' attribute of the ICEfaces configuration tag so that ARIA support can be turned on and off selectively on a per page basis.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.aria.enabled. The default is true.

    - #### isAutoId

          public static boolean isAutoId(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.autoid. The default value is true and indicates that the majority of standard JSF components will write their ids to the page markup. This allows page updates to be targetted as granularly as possible.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.autoid. The default is true.

    - #### isAutoRender

          public static boolean isAutoRender(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.render.auto. The default value is true and indicates that DOM changes will automatically be applied to each page. This context parameter is application-wide and works together with the render attribute of the ICEfaces configuration tag so that DOM updates can be turned on and off selectively on a per page basis.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.render.auto. The default is true.

    - #### isCompressIDs

          public static boolean isCompressIDs(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.compressIDs. The default value is false and indicates that IDs will not be compressed. The context parameter is application-wide and works together with the compressIDs attribute of the ICEfaces configuration tag so that ID compression can be turned on and off selectively on a per page basis.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.compressIDs. The default is false.

    - #### isBlockUIOnSubmit

          public static boolean isBlockUIOnSubmit(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.blockUIOnSubmit. The default value is false and indicates that the UI will not be blocked after a request has been submitted. To help deal with the problems with double-submits, this parameter can be set to true.

      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.blockUIOnSubmit. The default is false.

    - #### setBlockUIOnSubmit

          public static void setBlockUIOnSubmit(javax.faces.context.FacesContext facesContext,
                                                boolean value)

      Programmatically override the value of blockUIOnSubmit.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
        `value` -

    - #### isCompressDOM

          public static boolean isCompressDOM(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.compressDOM. The default value is false and indicates that, between requests, the server-side DOM will be serialized and compressed to save memory.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.compressDOM. The default is false.

    - #### isCompressResources

          public static boolean isCompressResources(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.compressResources. The default value is true and indicates that, for resource requests, certain resources should be automatically compressed via gzip before being sent.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.compressResources. The default is true.

    - #### getConnectionLostRedirectURI

          public static java.lang.String getConnectionLostRedirectURI(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.connectionLostRedirectURI. The default value is the String "null" and indicates that no URI has been set and the default behaviour is taken when the Ajax Push connection is lost. Setting a URI value tells ICEfaces to redirect to that view if the Ajax Push connection is lost.

      Note: This value is only relevant when running ICEfaces 2+ with the compatible component suite:
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.connectionLostRedirectURI. The default is the String "null".

    - #### getDiffConfig

          public static java.lang.String getDiffConfig(javax.faces.context.FacesContext facesContext)

      Returns the value for org.icefaces.diffConfig. This is configured as a space separated name=value string.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.diffConfig. The default is null.

    - #### isDeltaSubmit

          public static boolean isDeltaSubmit(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.deltaSubmit. The default value is false and indicates that the delta submit features is not currently enabled. When delta submit is enabled, form submission is done in a way that minimizes what is sent across the wire.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.deltaSubmit. The default is false.

    - #### isFocusManaged

          public static boolean isFocusManaged(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.focusManaged. The default value is true and indicates that the focus retention feature is currently enabled.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.focusManaged. The default is true.

    - #### isLazyPush

          public static boolean isLazyPush(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.lazyPush. The default value is true and indicates that ICEpush will be initially lazily. In other words, ICEpush will not activate and open a blocking connection until the first push request is made. By setting lazyPush to false, ICEpush will be automatically activated for each ICEfaces page.

      This context parameter is application-wide and works together with the lazyPush attribute of the ICEfaces configuration tag so that ICEpush can be set to activate lazily on a per-page basis.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.lazyPush. The default is true.

    - #### isLiferay

          public static boolean isLiferay()

      Returns true if Liferay classes are detected via reflection.
      Returns:
        Returns true if Liferay classes are detected via reflection.

    - #### isWebSpherePortal

          public static boolean isWebSpherePortal()

      Returns true if WebSphere Portal class is detected via reflection.
      Returns:
        Returns true if WebSphere Portal class is detected via reflection.

    - #### isPlutoPortal

          public static boolean isPlutoPortal()

      Returns true if Pluto Portal class is detected via reflection.
      Returns:
        Returns true if Pluto Portal class is detected via reflection.

    - #### isPortal

          public static boolean isPortal()

    - #### isPartialStateSaving

          public static boolean isPartialStateSaving(javax.faces.context.FacesContext facesContext)

      Returns true if JSF Partial State Saving is active.
      Parameters:
        `facesContext` - The current FacesContext instance.
      Returns:
        Returns the current state of JSF Partial State Saving. The default is true.

    - #### getSessionExpiredRedirectURI

          public static java.lang.String getSessionExpiredRedirectURI(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.sessionExpiredRedirectURI. The default value is the String "null" and indicates that no URI has been set and the default behaviour is taken when the session expires. Setting a URI value tells ICEfaces to redirect to that view if the Ajax Push connection is lost.

      Note: This value is only relevant when running ICEfaces 2+ with the compatible component suite:
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.sessionExpiredRedirectURI. The default is the String "null".

    - #### getSessionTimeoutRedirectURI

          public static java.lang.String getSessionTimeoutRedirectURI(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.sessionTimeoutRedirectURI. The default value is the String "null" and indicates that no URI has been set and the default behaviour is taken when the session timeouts. Setting a URI value tells ICEfaces to redirect to that view if the Ajax Push connection is lost.

      Note: This value is only relevant when running ICEfaces 2+ with the compatible component suite:
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.sessionTimeoutRedirectURI. The default is the String "null".

    - #### isStandardFormSerialization

          public static boolean isStandardFormSerialization(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.standardFormSerialization. The default value is false and indicates that ICEfaces should do optimized for submission based on the submitting element. Setting this value to true indicates that ICEfaces should do a normal, full form submission.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.standardFormSerialization. The default is false.

    - #### isStrictSessionTimeout

          public static boolean isStrictSessionTimeout(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.strictSessionTimeout. The default value is false and indicates that ICEfaces should not interfere with container-managed session timeout. Setting this value to true indicates that ICEfaces should attempt to enforce the configured session timeout by ignoring intervening push activity. Only user events result in extending the session lifetime.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.strictSessionTimeout. The default is false.

    - #### isSubtreeDiff

          public static boolean isSubtreeDiff(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.subtreeDiff. The default value is true and indicates that diffs will be calculated for subtree rendering.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.subtreeDiff. The default is true.

    - #### getWindowScopeExpiration

          public static long getWindowScopeExpiration(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.windowScopeExpiration. The default value is 1000 milliseconds and indicates the length of time window-scoped values remain valid in the session after a reload or redirect occurs. This allows for postbacks that might occur quickly after a reload or redirect to successfully retrieve the relevant window-scoped values.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.windowScopeExpiration. The default is 1000 milliseconds.

    - #### getWindowScopeCreationDelay

          public static long getWindowScopeCreationDelay(javax.faces.context.FacesContext facesContext)

      Returns the value of the context parameter org.icefaces.windowScopeCreationDelay. The default value is 0 milliseconds and indicates the delay applied before creating a new window scope. The delay allows the reuse of the window scope in case the browser issued the 'dispose-window' request only after a reload or redirect.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.windowScopeCreationDelay. The default is 0 milliseconds.

    - #### getMandatoryResourceConfig

          public static java.lang.String getMandatoryResourceConfig(javax.faces.context.FacesContext facesContext)

    - #### isUniqueResourceURLs

          public static boolean isUniqueResourceURLs(javax.faces.context.FacesContext facesContext)

    - #### getPublicContextPath

          public static java.lang.String getPublicContextPath(javax.faces.context.FacesContext facesContext)

    - #### createSessionOnPageLoad

          public static void createSessionOnPageLoad(javax.faces.context.FacesContext context)

    - #### isSessionInvalid

          public static boolean isSessionInvalid(javax.faces.context.FacesContext context)

    - #### isEnhancedBrowser

          public static boolean isEnhancedBrowser(javax.faces.context.FacesContext facesContext)

      Returns true if the browser is enhanced with additional features.
      Parameters:
        `facesContext` - The current FacesContext.
      Returns:
        true if browser is enhanced.

    - #### isAuxUploadBrowser

          public static boolean isAuxUploadBrowser(javax.faces.context.FacesContext facesContext)

      Returns true if the browser is enhanced via auxiliary upload.
      Parameters:
        `facesContext` - The current FacesContext.
      Returns:
        true if browser supports auxiliary upload.

    - #### isICEfacesView

          public static boolean isICEfacesView(javax.faces.context.FacesContext facesContext)

    - #### isPostValidationEnabled

          public static boolean isPostValidationEnabled(javax.faces.context.FacesContext facesContext)

    - #### isICEpushPresent

          public static boolean isICEpushPresent()

    - #### isMyfacesRefreshTransientforPSS

          public static boolean isMyfacesRefreshTransientforPSS()

    - #### hasHeadAndBodyComponents

          public static boolean hasHeadAndBodyComponents(javax.faces.context.FacesContext facesContext)

    - #### needViewStateHack

          public static boolean needViewStateHack()

    - #### getPathTemplate

          public static java.lang.String[] getPathTemplate()

    - #### instanceofPortletSession

          public static boolean instanceofPortletSession(java.lang.Object session)

    - #### instanceofPortletRequest

          public static boolean instanceofPortletRequest(java.lang.Object request)

    - #### instanceofPortletResponse

          public static boolean instanceofPortletResponse(java.lang.Object response)

    - #### instanceofPortletResourceResponse

          public static boolean instanceofPortletResourceResponse(java.lang.Object response)

    - #### getSafeContext

          public static javax.servlet.ServletContext getSafeContext(javax.faces.context.FacesContext fc)

    - #### getSafeRequest

          public static javax.servlet.http.HttpServletRequest getSafeRequest(javax.faces.context.FacesContext fc)

    - #### getSafeResponse

          public static javax.servlet.http.HttpServletResponse getSafeResponse(javax.faces.context.FacesContext fc)

    - #### getSafeSession

          public static javax.servlet.http.HttpSession getSafeSession(javax.faces.context.FacesContext fc)

    - #### getSafeSession

          public static javax.servlet.http.HttpSession getSafeSession(javax.faces.context.FacesContext fc,
                                                                      boolean createSession)

    - #### getSafePortletScopeSession

          public static javax.servlet.http.HttpSession getSafePortletScopeSession(javax.faces.context.FacesContext fc)

    - #### getSafeApplicationScopeSession

          public static javax.servlet.http.HttpSession getSafeApplicationScopeSession(javax.faces.context.FacesContext fc)

    - #### getSafePortletScopeSession

          public static javax.servlet.http.HttpSession getSafePortletScopeSession(javax.faces.context.FacesContext fc,
                                                                                  boolean createSession)

    - #### getSafeApplicationScopeSession

          public static javax.servlet.http.HttpSession getSafeApplicationScopeSession(javax.faces.context.FacesContext fc,
                                                                                      boolean createSession)

    - #### getOriginalServletRequest

          public static javax.servlet.http.HttpServletRequest getOriginalServletRequest(javax.faces.context.FacesContext context)

    - #### isSecure

          public static boolean isSecure(javax.faces.context.FacesContext fc)

    - #### isPushRequest

          public static boolean isPushRequest(javax.faces.context.FacesContext facesContext)

    - #### isLazyWindowScope

          public static boolean isLazyWindowScope(javax.faces.context.FacesContext facesContext)

    - #### disableDefaultErrorPopups

          public static boolean disableDefaultErrorPopups(javax.faces.context.FacesContext facesContext)

    - #### setDisableDefaultErrorPopups

          public static void setDisableDefaultErrorPopups(javax.faces.context.FacesContext facesContext,
                                                          boolean value)

      Programmatically override the value of disableDefaultErrorPopups.
      Parameters:
        `facesContext` - The current FacesContext instance used to access the application map.
        `value` -

    - #### isFastBusyIndicator

          public static boolean isFastBusyIndicator(javax.faces.context.FacesContext facesContext)

    - #### isReplayNavigationOnReload

          public static boolean isReplayNavigationOnReload(javax.faces.context.FacesContext facesContext)

    - #### isMessagePersistence

          public static boolean isMessagePersistence(javax.faces.context.FacesContext facesContext)

    - #### isMojarra

          public static boolean isMojarra()

    - #### isMyFaces

          public static boolean isMyFaces()

    - #### isJSF22OrGreater

          public static boolean isJSF22OrGreater()

      Determine whether the current JSF implementation is version 2.2
      Returns:
        true if JSF implementation is 2.2

    - #### getStateMarker

          public static java.lang.String getStateMarker()

    - #### containsBeans

          public static boolean containsBeans(java.util.Map<java.lang.String,java.lang.Object> scopeMap)

    - #### containsDisposedBeans

          public static boolean containsDisposedBeans(java.util.Map<java.lang.String,java.lang.Object> scopeMap)

    - #### generateHeadUpdate

          public static boolean generateHeadUpdate(javax.faces.context.FacesContext context)

    - #### isIncludeScrollOffsets

          public static boolean isIncludeScrollOffsets(javax.faces.context.FacesContext context)

    - #### reloadOnUpdateFailure

          public static boolean reloadOnUpdateFailure(javax.faces.context.FacesContext context)

    - #### getResourceVersion

          public static java.lang.String getResourceVersion(javax.faces.context.FacesContext context)

    - #### getVersionableTypes

          public static java.lang.String getVersionableTypes(javax.faces.context.FacesContext context)

    - #### isStockAttributeTracking

          public static boolean isStockAttributeTracking()

      Returns:
        Whether stock JSF components' set attributes are tracked.
      See Also:
        `isAttributeTracking(javax.faces.component.html.HtmlOutputText)`

    - #### isValidJavaIdentifier

          public static boolean isValidJavaIdentifier(java.lang.String identifier)

      When using reflection to programmatically create a class, e.g. Class.forName(), it may be desirable for security purposes to ensure that the parameter is a valid Java identifier before trying to use it. This utility method examines the identifier to ensure that it follows the rules laid out in the specification. This includes checking the starting character of each part using Character.isJavaIdentifierStart, all other characters using Character.isJavaIdentifierPart, and ensuring that each part is not a reserved Java keyword.
      Parameters:
        `identifier` - A String representing a fully qualified classname.
      Returns:
        Returns true if the supplied identifier qualifies as a fully qualified classname.

    - #### isCoallesceResources

          public static boolean isCoallesceResources(javax.faces.context.FacesContext context)

    - #### getUserAgent

          public static java.lang.String getUserAgent(javax.faces.context.FacesContext fc)

    - #### calculateCharacterEncoding

          public static java.lang.String calculateCharacterEncoding(javax.faces.context.FacesContext context)

    - #### getWarnBeforeExpiryInterval

          public static long getWarnBeforeExpiryInterval(javax.faces.context.FacesContext context)

    - #### isClientSideElementUpdateDetermination

          public static boolean isClientSideElementUpdateDetermination(javax.faces.context.FacesContext facesContext)

    - #### isFileEntryRequireJavascript

          public static boolean isFileEntryRequireJavascript(javax.faces.context.FacesContext facesContext)

    - #### getFileEntryFileCountMax

          public static int getFileEntryFileCountMax(javax.faces.context.FacesContext facesContext)

    - #### getUpdateNetworkErrorRetryTimeouts

          public static java.lang.String getUpdateNetworkErrorRetryTimeouts(javax.faces.context.FacesContext context)

    - #### getFetchPendingNotificationsOnLoad

          public static boolean getFetchPendingNotificationsOnLoad(javax.faces.context.FacesContext context)

      Returns the value of the context parameter org.icefaces.fetchPendingNotificationsOnLoad. The default value is 'true' and indicates that whenever the blocking connection switches over to another window each window will make a request for updates that were pottentially issued during the switch.
      Parameters:
        `context` - The current FacesContext instance used to access the application map.
      Returns:
        Returns the current setting of org.icefaces.fetchPendingNotificationsOnLoad. The default is 'true'.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.